Agents
Summarize readable Agent workspace storage
Counts active and archived readable files and folders beneath the configured workspace root. Deleted entries and internal thumbnails are excluded.
GET
/
api
/
v1
/
agents
/
{agentId}
/
storage
/
summary
Summarize readable Agent workspace storage
curl --request GET \
--url https://api.revoengine.com/api/v1/agents/{agentId}/storage/summary \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/agents/{agentId}/storage/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/agents/{agentId}/storage/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"rootStorageEntryId": "<string>",
"totalBytes": 24576,
"files": 12,
"folders": 3,
"distribution": [
{
"extension": "csv",
"files": 12,
"bytes": 24576
}
]
}Authorizations
Bearer JWT token or API Key (sk-*).
Path Parameters
Response
200 - application/json
Configured workspace root, or null when the agent has no workspace.
Logical size of readable active and archived files below the workspace root, in bytes.
Example:
24576
Number of readable retained files.
Example:
12
Number of readable retained folders, excluding the workspace root.
Example:
3
File type distribution, ordered by bytes descending.
Show child attributes
Show child attributes
Last modified on October 5, 2026
⌘I
Summarize readable Agent workspace storage
curl --request GET \
--url https://api.revoengine.com/api/v1/agents/{agentId}/storage/summary \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/agents/{agentId}/storage/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/agents/{agentId}/storage/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"rootStorageEntryId": "<string>",
"totalBytes": 24576,
"files": 12,
"folders": 3,
"distribution": [
{
"extension": "csv",
"files": 12,
"bytes": 24576
}
]
}
